package com.pcloud.book.rightsSetting.mapper;

import com.pcloud.book.book.vo.BookResourceNumDTO;
import com.pcloud.book.rightsSetting.entity.RightsSettingBookRelation;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;


@Component
public interface RightsSettingBookRelationMapper {
    int deleteByPrimaryKey(Long id);

    int insert(RightsSettingBookRelation record);

    int insertSelective(RightsSettingBookRelation record);

    RightsSettingBookRelation selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(RightsSettingBookRelation record);

    int updateByPrimaryKey(RightsSettingBookRelation record);

    void batchInsert(List<RightsSettingBookRelation> rightsSettingBookRelations);

    void deleteByRightsSettingId(Long rightsSettingId);

    List<RightsSettingBookRelation> selectByRithsSettingId(Long rightsSettingId);

    List<RightsSettingBookRelation> selectBookByRithsSettingId(Long rightsSettingId);

    List<Long> getAllBookIds();

    List<BookResourceNumDTO> listReousrceNum4Book(@Param("adviserIds") List<Long> adviserIds,
                                                  @Param("channelIds") List<Long> channelIds,
                                                  @Param("bookIds") List<Long> bookIds);
}